<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_bg1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:src="@mipmap/ic_guide_sale_dialog_bg1"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="w,1473:1691"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_content"
        android:layout_width="300dp"
        android:layout_height="350dp"
        android:layout_marginStart="@dimen/dp_50"
        android:layout_marginEnd="@dimen/dp_50"
        android:background="@mipmap/ic_guide_sale_dialog_bg2"
        android:paddingStart="@dimen/dp_14"
        android:paddingEnd="@dimen/dp_14"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintDimensionRatio="h,906:1067"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <LinearLayout
            android:id="@+id/layout_countdown_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_30"
            android:layout_marginTop="@dimen/dp_40"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/tv_hour"
                android:layout_width="@dimen/dp_20"
                android:layout_height="@dimen/dp_20"
                android:layout_marginStart="@dimen/dp_4"
                android:layout_marginEnd="@dimen/dp_4"
                android:background="@drawable/shape_ff8929_cor4"
                android:gravity="center"
                android:text="00"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_12" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="时"
                android:textColor="@color/color_202020"
                android:textSize="@dimen/sp_12" />

            <TextView
                android:id="@+id/tv_minute"
                android:layout_width="@dimen/dp_20"
                android:layout_height="@dimen/dp_20"
                android:layout_marginStart="@dimen/dp_4"
                android:layout_marginEnd="@dimen/dp_4"
                android:background="@drawable/shape_ff8929_cor4"
                android:gravity="center"
                android:text="00"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_12" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="分"
                android:textColor="@color/color_202020"
                android:textSize="@dimen/sp_12" />

            <TextView
                android:id="@+id/tv_second"
                android:layout_width="@dimen/dp_20"
                android:layout_height="@dimen/dp_20"
                android:layout_marginStart="@dimen/dp_4"
                android:layout_marginEnd="@dimen/dp_4"
                android:background="@drawable/shape_ff8929_cor4"
                android:gravity="center"
                android:text="01"
                android:textColor="@color/white"
                android:textSize="@dimen/sp_12" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="秒"
                android:textColor="@color/color_202020"
                android:textSize="@dimen/sp_12" />
        </LinearLayout>

        <TextView
            android:id="@+id/tv_end_tip1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_82"
            android:text="限时活动即将结束"
            android:textColor="#D17717"
            android:fontFamily="sans-serif-medium"
            android:textSize="@dimen/sp_16"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_end_tip2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_3"
            android:text="马上回归原价"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_18"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="@id/tv_end_tip1"
            app:layout_constraintTop_toBottomOf="@id/tv_end_tip1" />

        <TextView
            android:id="@+id/tv_end_tip3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_2"
            android:text="一次购买，终身免费"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_12"
            app:layout_constraintStart_toStartOf="@id/tv_end_tip1"
            app:layout_constraintTop_toBottomOf="@id/tv_end_tip2" />

        <LinearLayout
            android:id="@+id/layout_origin_price"
            android:layout_width="106dp"
            android:layout_height="69dp"
            android:layout_marginStart="@dimen/dp_20"
            android:background="@mipmap/ic_guide_sale_dialog_bg5"
            android:gravity="center"
            android:paddingEnd="@dimen/dp_12"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="@id/layout_price"
            app:layout_constraintStart_toStartOf="parent">

            <TextView
                android:id="@+id/tv_origin_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="2398"
                android:textColor="#497BE2"
                android:textSize="@dimen/sp_26" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="终身会员"
                android:textColor="#071B44"
                android:textSize="@dimen/sp_12"
                android:textStyle="bold" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/layout_price"
            android:layout_width="142dp"
            android:layout_height="95dp"
            android:layout_marginTop="@dimen/dp_6"
            android:layout_marginEnd="@dimen/dp_20"
            android:background="@mipmap/ic_guide_sale_dialog_bg4"
            android:gravity="center"
            android:orientation="vertical"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_end_tip3">

            <TextView
                android:id="@+id/tv_price"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="398"
                android:textColor="#FF1818"
                android:textSize="36sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="终身会员"
                android:textColor="#631010"
                android:textSize="@dimen/sp_12"
                android:textStyle="bold" />
        </LinearLayout>

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_icon4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="-30dp"
            android:layout_marginBottom="@dimen/dp_5"
            android:src="@mipmap/ic_guide_sale_dialog_icon4"
            app:layout_constraintBottom_toBottomOf="@id/layout_origin_price"
            app:layout_constraintStart_toStartOf="@id/layout_price"
            app:layout_constraintTop_toTopOf="@id/layout_origin_price" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_icon3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_5"
            android:src="@mipmap/ic_guide_sale_dialog_icon3"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_end_tip1" />

        <TextView
            android:id="@+id/tv_next"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_46"
            android:layout_marginStart="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginEnd="@dimen/dp_20"
            android:background="@mipmap/ic_guide_sale_dialog_btn"
            android:gravity="center"
            android:text="考虑300秒"
            android:textStyle="bold"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            app:layout_constraintTop_toBottomOf="@id/layout_price" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_icon1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="-14dp"
        android:layout_marginTop="87dp"
        android:src="@mipmap/ic_guide_sale_dialog_icon1"
        app:layout_constraintStart_toEndOf="@id/layout_content"
        app:layout_constraintTop_toTopOf="@id/layout_content" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_icon2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="-42dp"
        android:layout_marginBottom="@dimen/dp_30"
        android:src="@mipmap/ic_guide_sale_dialog_icon2"
        app:layout_constraintBottom_toBottomOf="@id/layout_content"
        app:layout_constraintStart_toEndOf="@id/layout_content" />

    <androidx.appcompat.widget.AppCompatImageView
        android:layout_width="match_parent"
        android:layout_marginStart="@dimen/dp_30"
        android:layout_marginBottom="@dimen/dp_80"
        android:layout_marginEnd="@dimen/dp_14"
        app:layout_constraintBottom_toBottomOf="@id/layout_content"
        android:src="@mipmap/ic_guide_sale_dialog_bg3"
        app:layout_constraintDimensionRatio="h,1085:378"
        android:layout_height="0dp"/>

</androidx.constraintlayout.widget.ConstraintLayout>